/* --------------------------------------------------
MAIN STYLES
----------------------------------------------------- */

/* Main styles: body
----------------------------------------------------- */
body {
    color: $text-color;
    font-size: 16px;
    line-height: 1.5em;
    font-family: $main-font;
    font-weight: $normal-font;
}

* .line-height-small,
*.line-height-small,
.line-height-small {
    line-height: 0.875em;
}

* .line-height-normal,
*.line-height-normal,
.line-height-normal {
    line-height: 1em;
}

* .line-height-medium,
*.line-height-medium,
.line-height-medium {
    line-height:1.125em;
}

* .line-height-x-medium,
*.line-height-x-medium,
.line-height-x-medium {
    line-height: 1.25em;
}

* .line-height-big,
*.line-height-big,
.line-height-big {
    line-height: 1.5em;
}

* .line-height-x-big,
*.line-height-x-big,
.line-height-x-big {
    line-height: 1.75em;
}

/* Main styles: Main structure wrapper width
----------------------------------------------------- */
.wrap { 
    padding-right: 0.8rem;
    padding-left: 0.8rem;
    max-width: $wrap-width;
}

.container-fluid {
    padding-right: 0.8rem;
    padding-left: 0.8rem;
}

/* Main styles: Main reset
----------------------------------------------------- */
#main {
    position: relative;
    z-index: 10;
    overflow: hidden;
}

/* Main styles: Some CSS Basics
----------------------------------------------------- */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: $secondary-font;
    color: $titles-color;
    font-weight: $bold-font;
    margin: 10px 0;
    line-height: 1;
    letter-spacing: -0.3px;
}

h1 {
    letter-spacing: -1.6px;
}

/* Main styles: <ul> elements
----------------------------------------------------- */
ul {
    display: block;
    padding-left: 30px;

    li {
        line-height: 1.375em;
        margin: 10px 0;
    }
}

.without-list-decoration {
    li {
        display: block;
    }
}

.with-icon {
    margin: 0;
    padding: 0;

    li {
        padding-left: 40px;
        position: relative;
        display: block;

        .icon {
            width: 40px;
            text-align: center;
            position: absolute;
            left: 0;
            top: 5px;
        }
    }
}

/* Main styles: <dl> elements
----------------------------------------------------- */
dl {
    margin: 10px 0;
    display: block;

    dd {
        color: $titles-color;
        font-weight: $bold-font;
    }

    dt {
        a {
            border-bottom: 2px solid $main-color;
        }
    }
}

/* Main styles: <a> links color
----------------------------------------------------- */
a {
    color: $titles-color;
    text-decoration: none;
    font-weight: $bold-font;
}

/* Main styles: <a> inverse links color
----------------------------------------------------- */
.inverse a {
    color: #fff;
}

/* Main styles: IMG/Iframes
----------------------------------------------------- */
iframe,
img {
    max-width: 100%;
}

/* --------------------------------------------------
FONT SIZES
----------------------------------------------------- */

/* Font sizes: Headings
----------------------------------------------------- */
h1 {
    font-size: 2.5em;
}

h2 {
    font-size: 2em;
}

h3 {
    font-size: 1.5em;
}

h4 {
    font-size: 1.25em;
}

h5 {
    font-size: 1em;
}

h6 {
    font-size: 1em;
}

/* Font sizes: paragraphs
----------------------------------------------------- */
p {
    font-weight: $normal-font;
    font-size: 1em;
    line-height: 1.5em;
    margin: 10px 0;
}

/* --------------------------------------------------
HTML ELEMENTS
----------------------------------------------------- */

/* HTML Elements: <small> font size
----------------------------------------------------- */
small {
    font-size: 0.875em;
}

/* HTML Elements: <hr> spacer
----------------------------------------------------- */
hr {
    width: 100%;
    height: 1px;
    background: $regent-grey;
    margin: 25px 0;
    display: block;
}

/* HTML Elements: Basic <blockquote> <cite> elements
----------------------------------------------------- */
cite,
blockquote {
    font-weight: $lighweight-font;
    display: block;
    margin: 15px 0;
    padding: 10px 20px;
    border-left-width: 2px;
    border-style: solid;
    line-height: 1.375em;
}

/* HTML Elements: Basic <ins> <u> elements
----------------------------------------------------- */
ins,
u,
.highlight {
    display: inline-block;
    border-bottom: 1px solid transparent;
}

/* HTML Elements: Basic <mark> elements
----------------------------------------------------- */
mark {
    background: $grey;
}

/* --------------------------------------------------
CSS HACKS
----------------------------------------------------- */

/* CSS Hacks: Rounded
----------------------------------------------------- */
* .rounded {
    @include border_radius(100px);
}

/* CSS Hacks: Full width elements
----------------------------------------------------- */
.full {
    width: 100%;
    display: block;
}

/* CSS Hacks: Full width bg
----------------------------------------------------- */
.full-width-bg {
    background: $regent-grey;
    position: relative;

    .row,
    .container-fluid {
        position: relative;
        z-index: 10;
    }
}

.full-width-bg::before,
.full-width-bg::after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: -100%;
    top: 0;
    background: $regent-grey;
}

.full-width-bg::after {
    left: initial;
    right: -100%;
}

.full-width-bg.secondary-bg,
.full-width-bg.secondary-bg::before,
.full-width-bg.secondary-bg::after {
    background: $secondary-color;
}

.full-width-bg.white-bg,
.full-width-bg.white-bg::before,
.full-width-bg.white-bg::after {
    background: $white;
}

.full-width-bg.black-bg,
.full-width-bg.black-bg::before,
.full-width-bg.black-bg::after {
    background: $black;
}

.full-width-bg.titles-bg,
.full-width-bg.titles-bg::before,
.full-width-bg.titles-bg::after {
    background: $titles-color;
}

.full-width-bg.grey-bg,
.full-width-bg.grey-bg::before,
.full-width-bg.grey-bg::after {
    background: $grey;
}

.full-width-bg.regent-grey-bg,
.full-width-bg.regent-grey-bg::before,
.full-width-bg.regent-grey-bg::after {
    background: $regent-grey;
}

.full-width-bg.main-bg,
.full-width-bg.main-bg::before,
.full-width-bg.main-bg::after {
    background: $main-color;
}

.full-width-bg.green-bg,
.full-width-bg.green-bg::before,
.full-width-bg.green-bg::after {
    background: $green;
}

.full-width-bg.yellow-bg,
.full-width-bg.yellow-bg::before,
.full-width-bg.yellow-bg::after {
    background: $yellow;
}

.full-width-bg.red-bg,
.full-width-bg.red-bg::before,
.full-width-bg.red-bg::after {
    background: $red;
}

/* CSS Hacks: Horizontal scroll full width elements
----------------------------------------------------- */
.horizontal-scroll {
    display: block;
    width: 100%;
    overflow: hidden;
    @include horizontal_scroll;

    .content-post {
        .caption {
            white-space: initial;
        }
    }
}

/* CSS Hacks: lighweight elements font weight
----------------------------------------------------- */
* .lighweight-font {
    font-weight: $lighweight-font;
}

/* CSS Hacks: Normal elements font weight
----------------------------------------------------- */
* .normal-font {
    font-weight: $normal-font;
}

/* CSS Hacks: Bold elements font weight
----------------------------------------------------- */
* .bold-font {
    font-weight: $bold-font;
}

/* CSS Hacks: Force center elements
----------------------------------------------------- */
.align-center * {
    text-align: center;
}

/* CSS Hacks: Force right align elements
----------------------------------------------------- */
.align-right * {
    text-align: right;
}

/* CSS Hacks: Force left align elements
----------------------------------------------------- */
.align-left * {
    text-align: left;
}

/* CSS Hacks: Float left
----------------------------------------------------- */
.float-left {
    float: left;
}

/* CSS Hacks: Float right
----------------------------------------------------- */
.float-right {
    float: right;
}

/* CSS Hacks: Uppercase text
----------------------------------------------------- */
.text-uppercase {
    text-transform: uppercase;
    letter-spacing: 2px;
}

/* CSS Hacks: Force inline elements
----------------------------------------------------- */
.display-inline {
    display: inline-block;
    margin: 2px;
}

/* CSS Hacks: Force display block elements
----------------------------------------------------- */
.display-block {
    display: block;
}

/* CSS Hacks: Force display:none elements
----------------------------------------------------- */
.display-none {
    display: none;
}

/* CSS Hacks: Force float left elements
----------------------------------------------------- */
.float-left {
    width: 100%;
    float: left;
}

/* CSS Hacks: Force clear both elements
----------------------------------------------------- */
.clear-both {
    clear: both;
}

/* CSS Hacks: Force position:absolute elements
----------------------------------------------------- */
.position-absolute {
    position: absolute;
}

/* CSS Hacks: Force position:relative elements
----------------------------------------------------- */
.position-relative {
    position: relative;
}

/* CSS Hacks: Force position:fixed elements
----------------------------------------------------- */
.position-fixed {
    position: fixed;
}

/* CSS Hacks: Force overflow:hidden elements
----------------------------------------------------- */
.overflow-hidden {
    overflow: hidden;
}

/* CSS Hacks elements: Secondary Font
----------------------------------------------------- */
*.secondary-font,
* .secondary-font,
.secondary-font {
    font-family: $main-font;
}

/* CSS Hacks: Force text ellipsis
----------------------------------------------------- */
.text-ellipsis {
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

/* CSS Hacks: Padding resets
----------------------------------------------------- */
* .without-padding {
    padding: 0;
}

* .without-padding-right {
    padding-right: 0;
}
 
* .without-padding-left {
    padding-left: 0;
}

* .without-padding-top {
    padding-top: 0;
}

* .without-padding-bottom {
    padding-bottom: 0;
}

* .padding-x-big {
    padding: 2.5rem;
}

* .padding-big {
    padding: 2rem;
}

* .padding-x-medium {
    padding: 1.5rem;
}

* .padding-medium {
    padding: 1.25rem;
}

* .padding-normal {
    padding: 1rem;
}

* .padding-small {
    padding: 0.75rem;
}

* .padding-top-x-big {
    padding-top: 2.5rem;
}

* .padding-top-big {
    padding-top: 2rem;
}

* .padding-top-x-medium {
    padding-top: 1.5rem;
}

* .padding-top-medium {
    padding-top: 1.25rem;
}

* .padding-top-normal {
    padding-top: 1rem;
}

* .padding-top-small {
    padding-top: 0.75rem;
}

* .padding-bottom-x-big {
    padding-bottom: 2.5rem;
}

* .padding-bottom-big {
    padding-bottom: 2rem;
}

* .padding-bottom-x-medium {
    padding-bottom: 1.5rem;
}

* .padding-bottom-medium {
    padding-bottom: 1.25rem;
}

* .padding-bottom-normal {
    padding-bottom: 1rem;
}

* .padding-bottom-small {
    padding-bottom: 0.75rem;
}

/* CSS Hacks: Margin resets
----------------------------------------------------- */
* .without-margin {
    margin: 0;
}

* .without-margin-right {
    margin-right: 0;
}
 
* .without-margin-left {
    margin-left: 0;
}

* .without-margin-top {
    margin-top: 0;
}

* .without-margin-bottom {
    margin-bottom: 0;
}

* .margin-x-big {
    margin: 2.5rem;
}

* .margin-big {
    margin: 2rem;
}

* .margin-x-medium {
    margin: 1.5rem;
}

* .margin-medium {
    margin: 1.25rem;
}

* .margin-normal {
    margin: 1rem;
}

* .margin-small {
    margin: 0.75rem;
}

* .margin-top-x-big {
    margin-top: 2.5rem;
}

* .margin-top-big {
    margin-top: 2rem;
}

* .margin-top-x-medium {
    margin-top: 1.5rem;
}

* .margin-top-medium {
    margin-top: 1.25rem;
}

* .margin-top-normal {
    margin-top: 1rem;
}

* .margin-top-small {
    margin-top: 0.75rem;
}

* .margin-bottom-x-big {
    margin-bottom: 2.5rem;
}

* .margin-bottom-big {
    margin-bottom: 2rem;
}

* .margin-bottom-x-medium {
    margin-bottom: 1.5rem;
}

* .margin-bottom-medium {
    margin-bottom: 1.25rem;
}

* .margin-bottom-normal {
    margin-bottom: 1rem;
}

* .margin-bottom-small {
    margin-bottom: 0.75rem;
}

/* --------------------------------------------------
CSS Misc Elements
----------------------------------------------------- */

/* CSS Misc elements: font sizes
----------------------------------------------------- */
* .font-size-x-mega {
    font-size: 4.5em;
}

* .font-size-mega {
    font-size: 3.5em;
}

* .font-size-x-big {
    font-size: 2.5em;
}

* .font-size-big {
    font-size: 2em;
}

* .font-size-x-medium {
    font-size: 1.5em;
}

* .font-size-medium {
    font-size: 1.25em;
}

* .font-size-normal {
    font-size: 1em;
}

* .font-size-small {
    font-size: 0.875em;
}

/* CSS Misc elements: Cards
----------------------------------------------------- */
.card {
    display: block;
    padding: 20px;
    position: relative;
    border-width: 1px;
    border-style: solid;
}

.card.big {
    padding: 50px;
}

.card.small {
    padding: 10px;
}

.card.border-width-bold {
    border-width: 2px;
}

.card.with-bg { 
    position: relative;
    overflow: hidden;

    .content {
        position: relative;
        z-index: 10;
    }

    .bg {
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        background-repeat: no-repeat;
        background-position: center center;
        background-size: cover;
        @include opacity(0.4);
    }
}

.card.without-padding {
    padding: 0;
}

/* CSS Misc elements: Flex-box
----------------------------------------------------- */
.flex-box {
    @include flex_box(flex-start,flex-start);
}

.flex-box.middle {
    @include flex_box(center,flex-start);
}

.flex-box.between {
    justify-content: space-between;
}

/* CSS Misc elements: Flex-box
----------------------------------------------------- */
.flex-column {
    display: flex;
    flex-direction: column;
}

/* CSS Misc elements: Icon sizes
----------------------------------------------------- */
.fas {
    font-weight: 900 !important;   
}

.far {
    font-weight: 400 !important;   
}

.fal {
    font-weight: 300 !important;   
}

.fab {
    font-weight: 400 !important;   
}

/* CSS Misc elements: Box titles
----------------------------------------------------- */
.box-title {
    margin: -20px;
    margin-bottom: 20px;
    padding: 20px;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

.box-title.big {
    padding: 20px 40px;
    margin: -40px;
    margin-bottom: 20px;
}

.box-title.small {
    padding: 10px;
    margin: -10px;
    margin-bottom: 20px;
}

/* CSS Misc elements: Badges
----------------------------------------------------- */
.badge {
    display: inline-block;
    margin-right: 2px;
    border-width: 1px;
    border-style: solid;
    @include border_radius(100px);
}

.badge.x-big {
    padding: 12px 24px;
}

.badge.big {
    padding: 10px 20px;
}

.badge.x-medium {
    padding: 8px 16px;
}

.badge.medium {
    padding: 6px 12px;
}

.badge.normal {
    padding: 4px 8px;
}

.badge.small {
    padding: 2px 8px;
}

/* --------------------------------------------------
COLOR VARIATIONS
----------------------------------------------------- */

/* Color variations: Text colors variation
----------------------------------------------------- */
.main-color {
    color: $main-color;
}

.secondary-color {
    color: $secondary-color;
}

.utilitary-color {
    color: $utilitary-color;
}

.titles-color {
    color: $titles-color;
}

.text-color {
    color: $text-color;
}

.transparent-color {
    color: transparent;
}

.alpha-color {
    color: rgba(250,250,250,0.6);
}

.alpha-color-inverse {
    color: rgba(0,0,0,0.6);
}

.grey-color {
    color: $grey;
}

.regent-grey-color {
    color: $regent-grey;
}

.white-color {
    color: $white;
}

.black-color {
    color: $black;
}

.yellow-color {
    color: $yellow;
}

.orange-color {
    color: $orange;
}

.green-color {
    color: $green;
}

.red-color {
    color: $red;
}

.pink-color {
    color: $pink;
}

.blue-color {
    color: $blue;
}

.aqua-color {
    color: $aqua;
}

.facebook-color {
    color: $facebook;
}

.reddit-color {
    color: $reddit;
}

.twitter-color {
    color: $twitter;
}

.googleplus-color {
    color: $googleplus;
}

.pinterest-color {
    color: $pinterest;
}

.whatsapp-color {
    color: $whatsapp;
}

.youtube-color {
    color: $youtube;
}

.instagram-color {
    color: $instagram;
}

.vine-color {
    color: $vine;
}

.younow-color {
    color: $younow;
}

.twitch-color {
    color: $twitch;
}

.snapchat-color {
    color: $snapchat;
}

/* Color variations: Background colors variation
----------------------------------------------------- */
.main-bg {
    background-color: $main-color;
}

.secondary-bg {
    background-color: $secondary-color;
}

.utilitary-bg {
    background-color: $utilitary-color;
}

.titles-bg {
    background-color: $titles-color;
}

.text-bg {
    background-color: $text-color;
}

.transparent-bg {
    background-color: transparent;
}

.alpha-bg {
    background-color: rgba(250,250,250,0.08);
}

.alpha-bg-inverse {
    background-color: rgba(0,0,0,0.2);
}

.grey-bg {
    background-color: $grey;
}

.regent-grey-bg {
    background-color: $regent-grey;
}

.white-bg {
    background-color: $white;
}

.black-bg {
    background-color: $black;
}

.yellow-bg {
    background-color: $yellow;
}

.orange-bg {
    background-color: $orange;
}

.green-bg {
    background-color: $green;
}

.red-bg {
    background-color: $red;
}

.pink-bg {
    background-color: $pink;
}

.blue-bg {
    background-color: $blue;
}

.aqua-bg {
    background-color: $aqua;
}

.facebook-bg {
    background-color: $facebook;
}

.reddit-bg {
    background-color: $reddit;
}

.twitter-bg {
    background-color: $twitter;
}

.googleplus-bg {
    background-color: $googleplus;
}

.pinterest-bg {
    background-color: $pinterest;
}

.whatsapp-bg {
    background-color: $whatsapp;
}

.youtube-bg {
    background-color: $youtube;
}

.instagram-bg {
    background-color: $instagram;
}

.vine-bg {
    background-color: $vine;
}

.younow-bg {
    background-color: $younow;
}

.twitch-bg {
    background-color: $twitch;
}

.snapchat-bg {
    background-color: $snapchat;
}

/* Color variations: Border colors variation
----------------------------------------------------- */
.main-border {
    border-color: $main-color;
}

.secondary-border {
    border-color: $secondary-color;
}

.utilitary-border {
    border-color: $utilitary-color;
}

.titles-border {
    border-color: $titles-color;
}

.text-border {
    border-color: $text-color;
}

.transparent-border {
    border-color: transparent;
}

.alpha-border {
    border-color: rgba(250,250,250,0.4);
}

.alpha-border-inverse {
    border-color: rgba(0,0,0,0.6);
}

.grey-border {
    border-color: $grey;
}

.regent-grey-border {
    border-color: $regent-grey;
}

.white-border {
    border-color: $white;
}

.black-border {
    border-color: $black;
}

.yellow-border {
    border-color: $yellow;
}

.orange-border {
    border-color: $orange;
}

.green-border {
    border-color: $green;
}

.red-border {
    border-color: $red;
}

.pink-border {
    border-color: $pink;
}

.blue-border {
    border-color: $blue;
}

.aqua-border {
    border-color: $aqua;
}

.reddit-border {
    border-color: $reddit;
}

.twitter-border {
    border-color: $twitter;
}

.googleplus-border {
    border-color: $googleplus;
}

.pinterest-border {
    border-color: $pinterest;
}

.whatsapp-border {
    border-color: $whatsapp;
}

.youtube-border {
    border-color: $youtube;
}

.instagram-border {
    border-color: $instagram;
}

.vine-border {
    border-color: $vine;
}

.younow-border {
    border-color: $younow;
}

.twitch-border {
    border-color: $twitch;
}

.snapchat-border {
    border-color: $snapchat;
}

/* Color variations: Shadow variation
----------------------------------------------------- */
.box-shadow {
    @include box_shadow(rgba($black,0.1));
}

/* --------------------------------------------------
FORMS
----------------------------------------------------- */

/* Forms: Some CSS settings
----------------------------------------------------- */
button,
* .btn,
input,
* .input,
textarea,
* .textarea {
    line-height: 1em;
    padding: 4px 8px;
    max-width: 100%;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-width: 1px;
    border-style: solid;
    text-align: center;
    display: inline-block;
    position: relative;
    cursor: pointer;
    @include border_radius(3px);
}

.btn.without-padding {
    padding: 0;
    border: 0;
    border-bottom-width: 2px;
    border-bottom-style: solid;
    @include border_radius(0);
}

button,
.btn {
    @include border_radius(3px);
}

/* Forms: Labels
----------------------------------------------------- */
label {
    margin: 3px 0;
    display: block;

    .label {
        font-weight: $bold-font;
        font-size: 0.875rem;
        display: block;
        margin: 5px 0;
    }
}

.hidden-label {
    display: none;
}

/* Forms: Sizes
----------------------------------------------------- */
.btn.small,
.input.small,
.textarea.small,
.select.small select {
    padding: 4px 6px;
    font-size: 0.75em;
}

.btn.x-big,
.input.x-big,
.textarea.x-big,
.select.x-big {
    padding: 16px 32px;
}

.btn.big,
.input.big,
.textarea.big,
.select.big {
    padding: 12px 24px;
}

.btn.x-medium,
.input.x-medium,
.textarea.x-medium,
.select.x-medium {
    padding: 8px 16px;
}

.btn.medium,
.input.medium,
.textarea.medium,
.select.medium {
    padding: 6px 12px;
}

.btn.normal,
.input.normal,
.textarea.normal,
.select.normal {
    padding: 4px 8px;
}

.btn.small,
.input.small,
.textarea.small,
.select.small {
    padding: 2px 4px;
}

.rounded,
*.rounded {
    @include border_radius(100px);
}

/* Form elements: Center variation
----------------------------------------------------- */
button.align-center,
.btn.align-center,
input.align-center,
.input.align-center,
textarea.align-center,
.textarea.align-center {
    margin: 3px auto;
}

/* Form elements: Full width variation
----------------------------------------------------- */
input.full,
.input.full,
textarea.full,
.textarea.full {
    text-align: left;
}

/* --------------------------------------------------
SELECTS
----------------------------------------------------- */
.select {
    background: #fff;
    border: 2px solid $regent-grey;
    text-align: left;
    display: inline-block;
    position: relative;
    overflow: hidden;
    padding-right: 0 !important;
    cursor: pointer;
    @include border_radius(6px);
}

/* Select: select reset
----------------------------------------------------- */
.select select {
    padding-right: 60px;
    display: block;
    border: 0;
    background: transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    width: 100%;
    cursor: pointer;
}

/* Select: Basic select "v" arrow 
----------------------------------------------------- */
.select::after {
    width: 40px;
    height: 100%;
    padding: 15px 0;
    vertical-align: middle;
    content: '\25bc';
    font-size: 0.5rem;
    position: absolute;
    right: 0;
    top: 0;
    text-align: center;
    pointer-events: none;
    background: $main-color;
    color: $white;
}

/* --------------------------------------------------
CHECKBOXES
----------------------------------------------------- */
input[type=radio],
input[type=checkbox] {
    display: none;
}

/* CHECKBOXES: Radio 
----------------------------------------------------- */
input[type=radio] + label:before {
    content: "";
    display: inline-block;
    width: 15px;
    height: 15px;
    vertical-align: middle;
    margin-right: 8px;
    border: 1px solid #d6d6d6;
    border-radius: 8px;
}

input[type=checkbox] + label:before {
    content: "";
    display: inline-block;
    width: 15px;
    height: 15px;
    vertical-align: middle;
    margin-right: 8px;
    border: 1px solid #d6d6d6;
    border-radius: 4px;
}

input[type=radio]:checked + label:before {
    content: "\2022";
    color: #424242;
    font-size: 1.8em;
    text-align: center;
    line-height: 14px;
}

/* CHECKBOXES: Checkbox 
----------------------------------------------------- */
input[type=checkbox]:checked + label:before {
    content: "\2714";
    color: #424242;
    text-align: center;
    line-height: 15px;
}

input[type=checkbox] + label {
    font-weight: 600;
}

input[type=radio] + label p,
input[type=checkbox] + label p {
    font-weight: 600;
    margin: 0;
    padding-left: 30px;
    font-size: 0.875em;
}

@media only screen and (max-width: 1100px) {
    .hidden-md {
        display: none;
    }
}

@media only screen and (max-width: 768px) {
    .hidden-sm {
        display: none;
    }

    * .font-size-x-mega {
        font-size: 2.8em;
    }
    
    * .font-size-mega {
        font-size: 2.375em;
    }

    /* ---- */

    h1,
    * .font-size-x-big {
        font-size: 2em;
    }

    h2,
    .font-size-big {
        font-size: 1.75em;
    }

    h3,
    .font-size-x-medium {
        font-size: 1.25em;
    }

    h4,
    .font-size-medium {
        font-size: 1.125em;
    }

    h5,
    .font-size-normal {
        font-size: 1em;
    }

    h6,
    .font-size-small {
        font-size: 0.75em;
    }
}

@media only screen and (max-width: 550px) {
    .hidden-xs {
        display: none;
    }

    /* ---- */

    * .font-size-x-mega {
        font-size: 2.25em;
    }
    
    * .font-size-mega {
        font-size: 1.875em;
    }

    h1,
    * .font-size-x-big {
        font-size: 1.5em;
    }

    h2,
    .font-size-big {
        font-size: 1.5em;
    }

    h3,
    .font-size-x-medium {
        font-size: 1.25em;
    }

    h4,
    .font-size-medium {
        font-size: 1.125em;
    }

    h5,
    .font-size-normal {
        font-size: 1em;
    }

    h6,
    .font-size-small {
        font-size: 0.75em;
    }

    /* ---- */

    .card.big {
        padding: 30px;
    }

    .card.small {
        padding: 6px;
    }

    .box-title {
        padding: 10px;
        margin: -10px;
        margin-bottom: 10px;
    }

    .box-title.big {
        padding: 20px;
        margin: -20px;
        margin-bottom: 20px;
    }
    
    .box-title.small {
        padding: 6px;
        margin: -6px;
        margin-bottom: 6px;
    }
    

    /* ---- */

    * .margin-x-big {
        margin: 2rem;
    }

    * .margin-big {
        margin: 1.5rem;
    }

    * .margin-x-medium {
        margin: 1.25rem;
    }

    * .margin-medium {
        margin: 1.125rem;
    }

    * .margin-top-x-big {
        margin-top: 2rem;
    }

    * .margin-top-big {
        margin-top: 1.5rem;
    }

    * .margin-top-x-medium {
        margin-top: 1.25rem;
    }

    * .margin-top-medium {
        margin-top: 1.125rem;
    }

    * .margin-bottom-x-big {
        margin-bottom: 2rem;
    }

    * .margin-bottom-big {
        margin-bottom: 1.5rem;
    }

    * .margin-bottom-x-medium {
        margin-bottom: 1.25rem;
    }

    * .margin-bottom-medium {
        margin-bottom: 1.125rem;
    }

    /* ---- */
    * .padding-x-big {
        padding: 2rem;
    }

    * .padding-big {
        padding: 1.5rem;
    }

    * .padding-x-medium {
        padding: 1.25rem;
    }

    * .padding-medium {
        padding: 1.125rem;
    }

    * .padding-top-x-big {
        padding-top: 2rem;
    }

    * .padding-top-big {
        padding-top: 1.5rem;
    }

    * .padding-top-x-medium {
        padding-top: 1.25rem;
    }

    * .padding-top-medium {
        padding-top: 1.125rem;
    }

    * .padding-bottom-x-big {
        padding-bottom: 2rem;
    }

    * .padding-bottom-big {
        padding-bottom: 1.5rem;
    }

    * .padding-bottom-x-medium {
        padding-bottom: 1.25rem;
    }

    * .padding-bottom-medium {
        padding-bottom: 1.125rem;
    }
}